CREATE TABLE cz_model_nodes_b (
    MODEL_NODE_ID              NUMBER(18, 0) ,
    START_MODEL_VERSION        NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    MODEL_ID                   NUMBER(18, 0)     NOT NULL,
    PARENT_ID                  NUMBER(18, 0) ,
    MODEL_NODE_TYPE            VARCHAR2(120)     NOT NULL,
    NAME                       VARCHAR2(4000)    NOT NULL,
    DELETED_FLAG               NUMBER(18, 0)     NOT NULL,
    REFERENCE_ID               NUMBER(18, 0) ,
    SEQUENCE_NUMBER            NUMBER(38, 20),
    INITIAL_NUM_VALUE          NUMBER        ,
    INITIAL_VALUE              VARCHAR2(4000),
    INSTANTIATION_TYPE         VARCHAR2(120) ,
    MAXIMUM                    NUMBER        ,
    MINIMUM                    NUMBER        ,
    MIN_CARDINALITY            NUMBER(18, 0) ,
    MAX_CARDINALITY            NUMBER(18, 0) ,
    MAX_QTY_PER_OPTION         NUMBER(9, 0)  ,
    COUNTED_OPTIONS_FLAG       VARCHAR2(4)   ,
    DOMAIN_ORDER               VARCHAR2(120) ,
    REVERSE_CONNECTOR_ID       NUMBER(18, 0) ,
    END_MODEL_VERSION          NUMBER(18, 0) ,
    CONNECTOR_TARGET_TYPE      VARCHAR2(120) ,
    MUTUALLY_EXCLUSIVE_FLAG    VARCHAR2(4)   ,
    UI_TIMESTAMP_ADD           TIMESTAMP(6)  ,
    UI_TIMESTAMP_REMOVE        TIMESTAMP(6)  ,
    UI_TIMESTAMP_MOVE          TIMESTAMP(6)  ,
    UI_TIMESTAMP_CHANGETYPE    TIMESTAMP(6)  ,
    UI_TIMESTAMP_REORDER       TIMESTAMP(6)  ,
    SKIP_VALIDATION_FLAG       VARCHAR2(4)   ,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    MODEL_NODE_ID              NUMBER(18, 0) ,
    START_MODEL_VERSION        NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    MODEL_ID                   NUMBER(18, 0)     NOT NULL,
    PARENT_ID                  NUMBER(18, 0) ,
    MODEL_NODE_TYPE            VARCHAR2(120)     NOT NULL,
    NAME                       VARCHAR2(4000)    NOT NULL,
    DELETED_FLAG               NUMBER(18, 0)     NOT NULL,
    REFERENCE_ID               NUMBER(18, 0) ,
    SEQUENCE_NUMBER            NUMBER(38, 20),
    INITIAL_NUM_VALUE          NUMBER        ,
    INITIAL_VALUE              VARCHAR2(4000),
    INSTANTIATION_TYPE         VARCHAR2(120) ,
    MAXIMUM                    NUMBER        ,
    MINIMUM                    NUMBER        ,
    MAX_QTY_PER_OPTION         NUMBER(9, 0)  ,
    COUNTED_OPTIONS_FLAG       VARCHAR2(4)   ,
    DOMAIN_ORDER               VARCHAR2(120) ,
    REVERSE_CONNECTOR_ID       NUMBER(18, 0) ,
    END_MODEL_VERSION          NUMBER(18, 0) ,
    UI_TIMESTAMP_ADD           TIMESTAMP(6)  ,
    UI_TIMESTAMP_REMOVE        TIMESTAMP(6)  ,
    UI_TIMESTAMP_MOVE          TIMESTAMP(6)  ,
    UI_TIMESTAMP_CHANGETYPE    TIMESTAMP(6)  ,
    UI_TIMESTAMP_REORDER       TIMESTAMP(6)  ,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    MIN_CARDINALITY            NUMBER(18, 0) ,
    MAX_CARDINALITY            NUMBER(18, 0) ,
    CONNECTOR_TARGET_TYPE      VARCHAR2(120) ,
    MUTUALLY_EXCLUSIVE_FLAG    VARCHAR2(4)   ,
    SKIP_VALIDATION_FLAG       VARCHAR2(4)   ,
    CONSTRAINT pk_cz_model_nodes_b PRIMARY KEY (MODEL_NODE_ID, START_MODEL_VERSION, MODEL_NODE_ID, START_MODEL_VERSION)
);
